diff --git a/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v b/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
index e758761..4d0f1ec 100644
--- a/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
+++ b/Assets/CoolapeFrameData/verControl/android/ver4UpgradeMd5.v
@@ -233,25 +250,29 @@ trCRM/upgradeRes4Publish/other/uiAtlas/login/Android/log_no.unity3d,2ee604556b4f
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellMessageGroup.lua,14a960604f49e2b34e0c115561bb45a3
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPLogin.lua,0992523f277369f5b08a6f756722daeb
 trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/new2_bg_20.unity3d,8e81d4a650273e24b7f129d1f814f5fa
-trCRM/upgradeRes4Publish/priority/atlas/Android/atlasAllReal.unity3d,2368a914edbd4ecf7534705770e24ac5
+trCRM/upgradeRes4Publish/priority/atlas/Android/atlasAllReal.unity3d,922d5cbb5cb958cdf6be0b5290fd2f8b
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/star.unity3d,f9684ea4b4e3a4206fc898bc6e4651ab
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPHotWheel.lua,1760aa9933da4b421f1c6093d802cb4f
-trCRM/upgradeRes4Publish/priority/lua/net/NetProto.lua,c2a5eef306bbbbd5b186599bad616677
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPMoreProc4Cust.lua,cc11fe3b2530891e91e2c649762d06f8
+trCRM/upgradeRes4Publish/priority/lua/net/NetProto.lua,2b1dafe00efd5be052d2cdd3dcabef71
+trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/me_opinion.unity3d,1935579d226c7400323115d8be90421d
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,62aff784a70e4a1bd0faa472176a0978
+trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelCustDetail.unity3d,a100acfd581e89b0800fafb7ad87d006
 trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/choose.unity3d,e31379a28ab86046414db1fb23cd2bf6
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPMoreProc4Cust.lua,cc11fe3b2530891e91e2c649762d06f8
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/follow.unity3d,fffb80792073e4f2849c743d061d685a
-trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelSceneManager.unity3d,c83769673e1c0793d88547c05d20a82e
+trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCompany.lua,b145bc086a8b1657a314622614dcb70a
 trCRM/upgradeRes4Publish/priority/localization/Chinese.txt,08ac586b625d0a126a610344a1846e8f
 trCRM/upgradeRes4Publish/other/uiAtlas/public/Android/button.unity3d,ff51e79201ecbd61247f8db792009aff
 trCRM/upgradeRes4Publish/other/uiAtlas/coolape/Android/logo.unity3d,c712e48e071a87fb6668333774da19a6
-trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelCustDetail.unity3d,af92a8050f9ab1c10cc6c56e40830c0c
+trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/me_customer.unity3d,5676922ef1749c311285d1a207b8397b
 trCRM/upgradeRes4Publish/priority/lua/bio/BioInputStream.lua,b3f94b1017db307427c6e39a8ee4d60e
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/Android/cus_tel.unity3d,692b010c775fb99d05d342f5ad0272fa
 trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/news_2.unity3d,802f5fec3b39fb208b1bd8a400801081
-trCRM/upgradeRes4Publish/other/uiAtlas/news/Android/new2_remind.unity3d,04a96d237c5e80ab044a54e7c063e368
+trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/myset_fingerprint.unity3d,de777211a380a09ea82e1092a9fba414
 trCRM/upgradeRes4Publish/priority/ui/other/Android/reportform1.unity3d,5d061e9c5511ae3b978dbfe2be87f35e
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustList.lua,86d3ed6429ba39f0a99f2307b5c43854
+trCRM/upgradeRes4Publish/priority/ui/other/Android/InputCheckboxs.unity3d,610be6a01539680fe565f6b969d20fa3
 trCRM/upgradeRes4Publish/priority/ui/panel/Android/PanelNewCust.unity3d,f6367c75d38ecbf5607ed563867db24d
 trCRM/upgradeRes4Publish/priority/lua/json/rpc.lua,28c2f09ceb729d01052d8408eed0b57a
+trCRM/upgradeRes4Publish/other/uiAtlas/mine/Android/myset_clean_up.unity3d,51e9fd3012fca7d448c3578c281bd15e
 trCRM/upgradeRes4Publish/priority/lua/toolkit/curve-families.png,d0b6b9b8a623a188aeae2fb688a8a0e5
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua
index 607ab77..29db185 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua
@@ -25,7 +25,11 @@ function DBUser.getPopList()
 end
 
 function DBUser.getUserById(loginNo)
-    return db[loginNo]
+    local user =  db[loginNo]
+    if user == nil then
+        printe("get user is nil=", loginNo)
+    end
+    return user
 end
 
 function DBUser.getIcon(loginNo, callback)
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua
index 9cca676..8a34305 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua
@@ -105,4 +105,7 @@ MyUtl.toastE = function(msg, staySec)
     CLToastRoot.toast(msg, CLToastRoot.Type.error, staySec)
 end
 
+MyUtl.confirm = function(msg, callback, buttonName)
+    getPanelAsy("PanelConfirm2", onLoadedPanelTT, {msg = msg, callback = callback, buttonName = buttonName})
+end
 return MyUtl
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua
index e1c76ba..dc87824 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua
@@ -211,7 +211,7 @@ function CLLPStart.doEnterGame()
                             end
                         end
                         if useOldCurrGroup then
-                            getPanelAsy("PanelConnect", onLoadedPanelTT)
+                            getPanelAsy("PanelConnect", onLoadedPanel)
                         else
                             ---@type _ParamTRPSelectGroup
                             local d = {}
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPMine.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPMine.lua
index fbe3bd3..e4cc84c 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPMine.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPMine.lua
@@ -6,6 +6,7 @@ local transform = nil
 CSPMine.sizeAdjust = 1
 CSPMine.contentRect = Vector4.zero
 local objs = {}
+local headData = {}
 
 -- 初始化，只会调用一次
 function CSPMine.init(csObj)
@@ -14,9 +15,12 @@ function CSPMine.init(csObj)
     CSPMine.contentRect = MyUtl.getUIContent(csSelf, nil, nil, true)
 
     objs.Content = getCC(transform, "PanelContent", "UIPanel")
-    objs.Content.transform.localPosition = Vector3.zero
-    objs.Content.clipOffset = Vector2.zero
-    objs.Content.baseClipRegion = CSPMine.contentRect
+    MyUtl.setContentView(objs.Content, 147 + 370)
+
+    ---@type CLUIFormRoot
+    objs.Top = getCC(transform, "Top", "CLUIFormRoot")
+    ---@type UITexture
+    objs.HeadIcon = getCC(objs.Top.transform, "SpriteHeadBg/SpriteHeadIcon", "UITexture")
 
     ---@type UIScrollView
     objs.scrollView = objs.Content:GetComponent("UIScrollView")
@@ -24,14 +28,35 @@ end
 
 -- 设置数据
 function CSPMine.setData(paras)
+    -- 初始化顶部数据
+    local currGroup = Prefs.getCurrGroup(Prefs.getUserName())
+    local companyInfro = json.decode(currGroup)
+    local user = DBUser.getUserById(companyInfro.login_no)
+    headData.company_id = companyInfro.company_id
+    headData.company_name = companyInfro.company_name
+    if user then
+        headData.loginNo = user.loginNo
+        headData.loginName = user.loginName
+        headData.imageUrl = user.imageUrl
+    else
+        printe("账号信息未取得！")
+    end
 end
 
 -- 显示，在c#中。show为调用refresh，show和refresh的区别在于，当页面已经显示了的情况，当页面再次出现在最上层时，只会调用refresh
 function CSPMine.show()
+    CSPMine.setHeadInfor()
     objs.scrollView:ResetPosition()
 end
 
-function CSPMine.onClickBottonBtn(cell)
+function CSPMine.setHeadInfor()
+    objs.Top:setValue(headData)
+    DBUser.getIcon(
+        headData.loginNo,
+        function(content)
+            objs.HeadIcon.mainTexture = content
+        end
+    )
 end
 
 -- 刷新
@@ -44,37 +69,17 @@ end
 
 -- 网络请求的回调；cmd：指命，succ：成功失败，msg：消息；paras：服务器下行数据
 function CSPMine.procNetwork(cmd, succ, msg, paras)
-    --[[
-        if(succ == 1) then
-          if(cmd == "xxx") then
-            -- TODO:
-          end
-        end
-        --]]
 end
 
 -- 处理ui上的事件，例如点击等
 function CSPMine.uiEventDelegate(go)
     local goName = go.name
-    if (goName == "Button01") then
-        --[[
-            if isNilOrEmpty(__uid__) then
-                getPanelAsy("PanelLogin", onLoadedPanelTT, {function (uid)
-                    if uid then
-                        getPanelAsy("PanelPasswordSave", onLoadedPanelTT)
-                    end
-                end}
-                )
-            else
-                -- 密码保护
-                getPanelAsy("PanelPasswordSave", onLoadedPanelTT)
-            end
-            --]]
-        getPanelAsy("PanelPasswordSave", onLoadedPanelTT)
-    elseif goName == "ButtonQR" then
+    if goName == "ButtonMyCheck" then
         showHotWheel()
         -- CSPMine.onGetLocation(json.encode({code = 0, latitude = "116.404", longitude = "39.915"}))
         MyLocation.self:getMyLocation(CSPMine.onGetLocation)
+    elseif goName == "ButtonSetting" or goName == "ButtonMySetting" then
+        getPanelAsy("PanelSetting", onLoadedPanelTT)
     end
 end
 
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua
index 30a59cf..a7d6e81 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CSPTasks.lua
@@ -41,6 +41,7 @@ function CSPTasks.setData(paras)
     headData.company_id = companyInfro.company_id
     headData.company_name = companyInfro.company_name
     if user then
+        headData.loginNo = user.loginNo
         headData.loginName = user.loginName
         headData.imageUrl = user.imageUrl
     else
@@ -74,25 +75,12 @@ end
 
 function CSPTasks.setHeadInfor()
     uiobjs.Top:setValue(headData)
-    if not isNilOrEmpty(headData.imageurl) then
-        if uiobjs.HeadIcon.mainTexture == nil or uiobjs.HeadIcon.mainTexture.name ~= headData.imageurl then
-            WWWEx.get(
-                headData.imageurl,
-                nil,
-                CLAssetType.texture,
-                function(content, orgs)
-                    content.name = headData.imageurl
-                    uiobjs.HeadIcon.mainTexture = content
-                end,
-                function()
-                    printe("取得头像失败")
-                end,
-                nil,
-                true,
-                2
-            )
+    DBUser.getIcon(
+        headData.loginNo,
+        function(content)
+            uiobjs.HeadIcon.mainTexture = content
         end
-    end
+    )
 end
 
 -- 关闭页面
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPConfirm2.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPConfirm2.lua
new file mode 100644
index 0000000..364ae04
--- /dev/null
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPConfirm2.lua
@@ -0,0 +1,73 @@
+﻿
+---@type IDBasePanel
+local TRBasePanel = require("ui.panel.TRBasePanel")
+---@class TRPConfirm2:TRBasePanel 邮件列表
+local TRPConfirm2 = class("TRPConfirm2", TRBasePanel)
+
+local uiobjs = {}
+-- 初始化，只会调用一次
+function TRPConfirm2:init(csObj)
+    TRPConfirm2.super.init(self, csObj)
+    uiobjs.LabelTitle = getCC(self.transform, "Bottom/offset/LabelTitle", "UILabel")
+    uiobjs.ButtonOkayLb = getCC(self.transform, "Bottom/offset/ButtonOkay/Label", "UILabel")
+    self:setEventDelegate()
+end
+
+-- 设置数据
+---@param paras _ParamTRPConfirm2
+function TRPConfirm2:setData(paras)
+    self.mdata = paras
+end
+
+-- 显示，在c#中。show为调用refresh，show和refresh的区别在于，当页面已经显示了的情况，当页面再次出现在最上层时，只会调用refresh
+function TRPConfirm2:show()
+    uiobjs.LabelTitle.text = self.mdata.msg
+    uiobjs.ButtonOkayLb.text = self.mdata.buttonName or "确定"
+end
+
+-- 刷新
+function TRPConfirm2:refresh()
+end
+
+-- 关闭页面
+function TRPConfirm2:hide()
+end
+
+-- 网络请求的回调；cmd：指命，succ：成功失败，msg：消息；paras：服务器下行数据
+function TRPConfirm2:procNetwork(cmd, succ, msg, paras)
+    if (succ == NetSuccess) then
+        --[[
+        if cmd == xx then
+        end
+        ]]
+    end
+end
+
+function TRPConfirm2:setEventDelegate()
+    self.EventDelegate = {
+        SpriteBg = function()
+            hideTopPanel(self.csSelf)
+        end,
+        ButtonClose = function()
+            hideTopPanel(self.csSelf)
+        end,
+        ButtonOkay = function()
+            hideTopPanel(self.csSelf)
+            Utl.doCallback(self.mdata.callback)
+        end
+    }
+end
+-- 处理ui上的事件，例如点击等
+function TRPConfirm2:uiEventDelegate(go)
+    local func = self.EventDelegate[go.name]
+    if func then
+        func()
+    end
+end
+
+-- 当顶层页面发生变化时回调
+function TRPConfirm2:onTopPanelChange(topPanel)
+end
+
+--------------------------------------------
+return TRPConfirm2
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPConfirm2.lua.meta b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPConfirm2.lua.meta
new file mode 100644
index 0000000..107acd9
--- /dev/null
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPConfirm2.lua.meta
@@ -0,0 +1,7 @@
+fileFormatVersion: 2
+guid: e16aaf885e0a946298c6ec0c66b6af25
+DefaultImporter:
+  externalObjects: {}
+  userData: 
+  assetBundleName: 
+  assetBundleVariant: 
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep1.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep1.lua
index 4eaa940..bbbf97e 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep1.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep1.lua
@@ -25,7 +25,11 @@ function TRPResetPasswordStep1:onShowFrame(cs)
     if cs.frameObj then
         ---@type _BGFrame1Param
         local d = {}
-        d.title = cs.titleKeyName
+        if self.mData.isModify then
+            d.title = "重置密码"
+        else
+            d.title = "寻找密码"
+        end
         d.panel = cs
         d.isHideCloseBtn = true
         cs.frameObj:init(d)
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep2.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep2.lua
index 231ab95..5d216d7 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep2.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep2.lua
@@ -26,7 +26,11 @@ function TRPResetPasswordStep2:onShowFrame(cs)
     if cs.frameObj then
         ---@type _BGFrame1Param
         local d = {}
-        d.title = cs.titleKeyName
+        if self.mData.isModify then
+            d.title = "重置密码"
+        else
+            d.title = "寻找密码"
+        end
         d.panel = cs
         d.isHideCloseBtn = true
         cs.frameObj:init(d)
@@ -88,7 +92,9 @@ function TRPResetPasswordStep2:setEventDelegate()
             if not isNilOrEmpty(uiobjs.formRoot:checkValid()) then
                 return
             end
-            getPanelAsy("PanelResetPasswordStep3", onLoadedPanelTT, uiobjs.formRoot:getValue(self.mData, true))
+            local data = uiobjs.formRoot:getValue(self.mData, true)
+            data.isModify = self.mData.isModify
+            getPanelAsy("PanelResetPasswordStep3", onLoadedPanelTT, data)
         end,
         ButtonReGetCode = function()
             if self.canReGetcode then
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep3.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep3.lua
index 68cd7a9..9a8cbee 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep3.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPResetPasswordStep3.lua
@@ -28,7 +28,11 @@ function TRPResetPasswordStep3:onShowFrame(cs)
     if cs.frameObj then
         ---@type _BGFrame1Param
         local d = {}
-        d.title = cs.titleKeyName
+        if self.mData.isModify then
+            d.title = "重置密码"
+        else
+            d.title = "寻找密码"
+        end
         d.panel = cs
         d.isHideCloseBtn = true
         cs.frameObj:init(d)
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSetting.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSetting.lua
new file mode 100644
index 0000000..6f13252
--- /dev/null
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSetting.lua
@@ -0,0 +1,103 @@
+﻿---@type IDBasePanel
+local TRBasePanel = require("ui.panel.TRBasePanel")
+---@class TRPSetting:TRBasePanel 邮件列表
+local TRPSetting = class("TRPSetting", TRBasePanel)
+
+local uiobjs = {}
+-- 初始化，只会调用一次
+function TRPSetting:init(csObj)
+    TRPSetting.super.init(self, csObj)
+    uiobjs.content = getChild(self.transform, "PanelContent")
+    MyUtl.setContentView(uiobjs.content)
+    ---@type UIScrollView
+    uiobjs.scrollview = getCC(self.transform, "PanelContent", "UIScrollView")
+
+    self:setEventDelegate()
+end
+
+-- 设置数据
+---@param paras _ParamTRPSetting
+function TRPSetting:setData(paras)
+    self.mdata = paras
+end
+
+-- 显示，在c#中。show为调用refresh，show和refresh的区别在于，当页面已经显示了的情况，当页面再次出现在最上层时，只会调用refresh
+function TRPSetting:show()
+    uiobjs.scrollview:ResetPosition()
+end
+
+-- 刷新
+function TRPSetting:refresh()
+end
+
+-- 关闭页面
+function TRPSetting:hide()
+end
+
+-- 网络请求的回调；cmd：指命，succ：成功失败，msg：消息；paras：服务器下行数据
+function TRPSetting:procNetwork(cmd, succ, msg, paras)
+    if (succ == NetSuccess) then
+    --[[
+        if cmd == xx then
+        end
+        ]]
+    end
+end
+
+function TRPSetting:setEventDelegate()
+    self.EventDelegate = {
+        ButtonPassword = function()
+            getPanelAsy("PanelResetPasswordStep1", onLoadedPanelTT, {phone = Prefs.getUserName(), isModify = true})
+        end,
+        ButtonLogout = function()
+            MyUtl.confirm(
+                "确定要退出当前账号？",
+				function()
+					Prefs.setCurrGroup(Prefs.getUserName(), "")
+					Prefs.setUserPsd("")
+					hideTopPanel(self.csSelf)
+					hideTopPanel()
+					hideTopPanel()
+					getPanelAsy("PanelLogin", onLoadedPanel)
+                end,
+                "退出账号"
+            )
+        end,
+        ButtonClearCache = function()
+            MyUtl.confirm(
+                "确定要清空缓存？",
+                function()
+                    PlayerPrefs.DeleteAll()
+
+                    --- 释放资源开始-------------------------------
+                    local cleanRes = function()
+                        pcall(doSomethingBeforeRestart)
+                        pcall(releaseRes4GC, true)
+                    end
+                    --- 释放资源结束-------------------------------
+                    pcall(cleanRes)
+                    local panel = CLPanelManager.getPanel(CLMainBase.self.firstPanel)
+                    if panel then
+                        CLPanelManager.showPanel(panel)
+                    end
+                    CLMainBase.self:reStart()
+                end,
+                "确定清空"
+            )
+        end
+    }
+end
+-- 处理ui上的事件，例如点击等
+function TRPSetting:uiEventDelegate(go)
+    local func = self.EventDelegate[go.name]
+    if func then
+        func()
+    end
+end
+
+-- 当顶层页面发生变化时回调
+function TRPSetting:onTopPanelChange(topPanel)
+end
+
+--------------------------------------------
+return TRPSetting
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSetting.lua.meta b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSetting.lua.meta
new file mode 100644
index 0000000..73900af
--- /dev/null
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSetting.lua.meta
@@ -0,0 +1,7 @@
+fileFormatVersion: 2
+guid: 3c1115850f0ba4a1882fa9495daae161
+DefaultImporter:
+  externalObjects: {}
+  userData: 
+  assetBundleName: 
+  assetBundleVariant: 
